Bug 176950 - Update mail/milter-greylist to latest stable
Summary: Update mail/milter-greylist to latest stable
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Hajimu UMEMOTO
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-14 08:20 UTC by Hajimu UMEMOTO
Modified: 2013-03-20 16:20 UTC (History)
1 user (show)

See Also:


Attachments
milter-greylist.diff (4.42 KB, patch)
2013-03-17 05:17 UTC, ume
no flags Details | Diff
file.dat (88 bytes, text/plain; charset=US-ASCII)
2013-03-17 05:17 UTC, ume
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hajimu UMEMOTO freebsd_committer 2013-03-14 08:20:02 UTC
	Update mail/milter-greylist to latest stable

Fix: Please apply the attached patch.
	This patch updates mail/milter-greylist to 4.4.3.
	It also changes to use new OPTIONS framework and new header
	format.
	Further, it includes the fix to be able to specify IPv6
	address to syncsrcaddr.  The syncsrcaddr patch was sent to the
	author of milter-greylist.


--Multipart_Thu_Mar_14_17:17:36_2013-1
Content-Type: text/x-patch; type=patch; charset=US-ASCII
Content-Disposition: attachment; filename="milter-greylist.diff"
Content-Transfer-Encoding: 7bit



--Multipart_Thu_Mar_14_17:17:36_2013-1
Content-Type: text/plain; charset=US-ASCII


--
Hajimu UMEMOTO
ume@mahoroba.org  ume@{,jp.}FreeBSD.org
http://www.mahoroba.org/~ume/

--Multipart_Thu_Mar_14_17:17:36_2013-1----rWc8DKF7UxUOmKBD4QybhGXbZOb0lSHuc4oX3zh4aQUCobOs
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

Index: Makefile
===================================================================
--- Makefile	(revision 314132)
+++ Makefile	(working copy)
@@ -1,33 +1,32 @@
-# New ports collection makefile for:	milter-greylist
-# Date created:				27 Apr 2004
-# Whom:					Cyril Guibourg
-#
+# Created by: Cyril Guibourg
 # $FreeBSD$
-#
 
 PORTNAME=	milter-greylist
-PORTVERSION=	4.2.7
+PORTVERSION=	4.4.3
 CATEGORIES=	mail
-MASTER_SITES=	ftp://ftp.espci.fr/pub/milter-greylist/
-DISTNAME=	milter-greylist-${PORTVERSION}
+MASTER_SITES=	ftp://ftp.espci.fr/pub/milter-greylist/ \
+		http://fossies.org/unix/privat/
 EXTRACT_SUFX=	.tgz
 
 MAINTAINER=	m.tsatsenko@gmail.com
 COMMENT=	Easy-to-use greylist milter for sendmail and postfix
 
+LICENSE=	BSD
+
 CONFLICTS=	milter-greylist-devel-[1-9]*.*
 PKGMESSAGE=	${WRKDIR}/pkg-message
 
-OPTIONS=	MANPAGES "Install manpages" on\
-		LIBSPF2 "Include SPF support" off\
-		GEOIP "Include GeoIP support" off\
-		CURL "Include curl support" off\
-		OPENLDAP "Include OpenLDAP support" off\
-		P0F "Include P0F support" off\
-		POSTFIX "Use Postfix instead of Sendmail" off
+MAKE_JOBS_UNSAFE=	yes
 
-.include <bsd.port.pre.mk>
+OPTIONS_DEFINE=		MANPAGES LIBSPF2 GEOIP CURL LDAP P0F POSTFIX
+OPTIONS_DEFAULT=	MANPAGES
+LIBSPF2_DESC=		SPF support
+CURL_DESC=		curl support
+P0F_DESC=		P0F support
+POSTFIX_DESC=		Use Postfix instead of Sendmail
 
+.include <bsd.port.options.mk>
+
 ##
 # Use the following quirks to choose which sendmail to use (ports or system):
 #
@@ -39,7 +38,7 @@
 # installed port preference over it.
 ##
 
-.if defined (WITH_MANPAGES)
+.if ${PORT_OPTIONS:MMANPAGES}
 MAN5=		greylist.conf.5
 MAN8=		milter-greylist.8
 .endif
@@ -47,27 +46,27 @@
 ##
 # If you have a reentrant resolver (starting with RELENG_5_2) you can use SPF
 ##
-.if defined(WITH_LIBSPF2)
+.if ${PORT_OPTIONS:MLIBSPF2}
 BUILD_DEPENDS+=	libspf2>=1.2.5:${PORTSDIR}/mail/libspf2
 CONFIGURE_ARGS+=	--with-libspf2=${LOCALBASE}
 .endif
-.if defined(WITH_GEOIP)
+.if ${PORT_OPTIONS:MGEOIP}
 BUILD_DEPENDS+=	GeoIP>=1.4.4:${PORTSDIR}/net/GeoIP
 CONFIGURE_ARGS+=	--with-libGeoIP=${LOCALBASE}
 .endif
-.if defined(WITH_CURL)
+.if ${PORT_OPTIONS:MCURL}
 BUILD_DEPENDS+=	curl>=7.18:${PORTSDIR}/ftp/curl
 CONFIGURE_ARGS+=	--with-libcurl=${LOCALBASE}
 .endif
-.if defined(WITH_OPENLDAP)
+.if ${PORT_OPTIONS:MLDAP}
 USE_OPENLDAP=yes
 CONFIGURE_ARGS+=	--with-openldap
 .endif
-.if defined(WITH_P0F)
+.if ${PORT_OPTIONS:MP0F}
 RUN_DEPENDS+=	p0f:${PORTSDIR}/net-mgmt/p0f
-CONFIGURE_ARGS+=	--enable-p0f
+CONFIGURE_ARGS+=	--enable-p0f306
 .endif
-.if defined(WITH_POSTFIX)
+.if ${PORT_OPTIONS:MPOSTFIX}
 CONFIGURE_ARGS+=	--enable-postfix
 .else
 LDFLAGS+=	${SENDMAIL_LDFLAGS}
@@ -90,7 +89,7 @@
 
 do-install:
 	@${MKDIR} ${PREFIX}/etc/mail
-.if defined (WITH_MANPAGES)
+.if ${PORT_OPTIONS:MMANPAGES}
 	@${INSTALL_MAN} ${WRKSRC}/greylist.conf.5 ${PREFIX}/man/man5
 	@${INSTALL_MAN} ${WRKSRC}/milter-greylist.8 ${PREFIX}/man/man8
 .endif
@@ -101,11 +100,11 @@
 post-install:
 	@${MKDIR} /var/milter-greylist
 	@${CHOWN} -R mailnull:mailnull /var/milter-greylist
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	@${MKDIR} ${DOCSDIR}
 	@${INSTALL_DATA} ${WRKSRC}/README ${DOCSDIR}
 .endif
-.if !defined (NOPORTEXAMPLES)
+.if ${PORT_OPTIONS:MEXAMPLES}
 	@${MKDIR} ${EXAMPLESDIR}
 	@${INSTALL_DATA} ${WRKSRC}/greylist.conf ${EXAMPLESDIR}
 .endif
@@ -127,4 +126,4 @@
 
 .include "${PORTSDIR}/mail/sendmail/bsd.milter.mk"
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
Index: distinfo
===================================================================
--- distinfo	(revision 314132)
+++ distinfo	(working copy)
@@ -1,2 +1,2 @@
-SHA256 (milter-greylist-4.2.7.tgz) = 41e6cc88dcccb8e1993a58235111b34de26dcb071fa59e85b877ecb869950787
-SIZE (milter-greylist-4.2.7.tgz) = 213919
+SHA256 (milter-greylist-4.4.3.tgz) = fdf7e37c5dd370473ff2cdec7e4b6ca9e60fc2b5c716612d2d449de98d0054a9
+SIZE (milter-greylist-4.4.3.tgz) = 236277
Index: files/patch-configure
===================================================================
--- files/patch-configure	(revision 314132)
+++ files/patch-configure	(working copy)
@@ -1,28 +1,13 @@
---- configure.orig	2010-07-12 08:27:51.000000000 +0400
-+++ configure	2010-08-05 05:18:10.000000000 +0400
-@@ -4978,7 +4978,7 @@
+Index: configure
+diff -u configure.orig configure
+--- configure.orig	2013-03-07 22:26:11.000000000 +0900
++++ configure	2013-03-14 15:35:15.476674058 +0900
+@@ -5899,7 +5899,7 @@
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_pthread_pthread_create" >&5
  $as_echo "$ac_cv_lib_pthread_pthread_create" >&6; }
- if test "x$ac_cv_lib_pthread_pthread_create" = x""yes; then :
+ if test "x$ac_cv_lib_pthread_pthread_create" = xyes; then :
 -  LIBS="$LIBS -lpthread"
 +  true; #LIBS="$LIBS -lpthread"
  else
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for pthread_create in -lc_r" >&5
  $as_echo_n "checking for pthread_create in -lc_r... " >&6; }
-@@ -5484,13 +5484,13 @@
- if test "${with_libdkim+set}" = set; then :
-   withval=$with_libdkim; LDFLAGS=$LDFLAGS" -L$withval/lib -Wl,$rpath$withval/lib"
- 	    CFLAGS=$CFLAGS" -I$withval/include"
--	    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for dkim_init in -ldkim -lsm -lcrypto" >&5
--$as_echo_n "checking for dkim_init in -ldkim -lsm -lcrypto... " >&6; }
-+	    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for dkim_init in -ldkim -lcrypto" >&5
-+$as_echo_n "checking for dkim_init in -ldkim -lcrypto... " >&6; }
- if test "${ac_cv_lib_dkim__lsm__lcrypto_dkim_init+set}" = set; then :
-   $as_echo_n "(cached) " >&6
- else
-   ac_check_lib_save_LIBS=$LIBS
--LIBS="-ldkim -lsm -lcrypto  $LIBS"
-+LIBS="-ldkim -lcrypto  $LIBS"
- cat confdefs.h - <<_ACEOF >conftest.$ac_ext
- /* end confdefs.h.  */
- 
Index: files/patch-sync.c
===================================================================
--- files/patch-sync.c	(revision 0)
+++ files/patch-sync.c	(working copy)
@@ -0,0 +1,17 @@
+Index: sync.c
+diff -u -p sync.c.orig sync.c
+--- sync.c.orig	2010-04-17 12:19:02.000000000 +0900
++++ sync.c	2013-03-14 14:57:39.284674283 +0900
+@@ -478,7 +478,11 @@ peer_connect(peer)	/* peer list is read-
+ #ifdef AF_INET6
+ 		case AF_INET6:
+ 			SA6(res->ai_addr)->sin6_port = service;
+-			laddrstr = "::";
++			if (conf.c_syncsrcaddr != NULL) {
++				laddrstr = conf.c_syncsrcaddr;
++			} else {
++				laddrstr = "::";
++			}
+ 			break;
+ #endif
+ 		default:
Comment 1 Edwin Groothuis freebsd_committer 2013-03-14 08:20:09 UTC
Maintainer of mail/milter-greylist,

Please note that PR ports/176950 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/176950

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-03-14 08:20:10 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 ume 2013-03-17 05:17:11 UTC
Hi,

I've reflected recent update of mail/milter-greylist.

Sincerely,
Comment 4 m.tsatsenko 2013-03-19 21:22:10 UTC
Approved!
Could you please also take care of ports/177097 which contains a fix
for core file path.

--
Mikhail
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2013-03-19 22:28:18 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 6 dfilter service freebsd_committer 2013-03-20 16:12:19 UTC
Author: ume
Date: Wed Mar 20 16:12:04 2013
New Revision: 314743
URL: http://svnweb.freebsd.org/changeset/ports/314743

Log:
  - Update to 4.4.3
  - Add a site specified in milter-greylist-devel to MASTER_SITE.
  - Add LICENSE.
  - Appropriate configure option for the version of net-mgmt/p0f.
  - Fix to be able to specify IPv6 address to syncsrcaddr.
  
  PR:		ports/176950
  Submitted by:	ume
  Reviewed by:	Mikhail Tsatsenko <m.tsatsenko__at__gmail.com> (maintainer)
  Approved by:	Mikhail Tsatsenko <m.tsatsenko__at__gmail.com> (maintainer)

Added:
  head/mail/milter-greylist/files/patch-sync.c   (contents, props changed)
Modified:
  head/mail/milter-greylist/Makefile
  head/mail/milter-greylist/distinfo
  head/mail/milter-greylist/files/patch-configure

Modified: head/mail/milter-greylist/Makefile
==============================================================================
--- head/mail/milter-greylist/Makefile	Wed Mar 20 16:09:29 2013	(r314742)
+++ head/mail/milter-greylist/Makefile	Wed Mar 20 16:12:04 2013	(r314743)
@@ -1,16 +1,18 @@
 # Created by: Cyril Guibourg
 # $FreeBSD$
-#
 
 PORTNAME=	milter-greylist
-PORTVERSION=	4.4.1
+PORTVERSION=	4.4.3
 CATEGORIES=	mail
-MASTER_SITES=	ftp://ftp.espci.fr/pub/milter-greylist/
+MASTER_SITES=	ftp://ftp.espci.fr/pub/milter-greylist/ \
+		http://fossies.org/unix/privat/
 EXTRACT_SUFX=	.tgz
 
 MAINTAINER=	m.tsatsenko@gmail.com
 COMMENT=	Easy-to-use greylist milter for sendmail and postfix
 
+LICENSE=	BSD
+
 CONFLICTS=	milter-greylist-devel-[1-9]*.*
 PKGMESSAGE=	${WRKDIR}/pkg-message
 
@@ -27,16 +29,14 @@ MAKE_JOBS_UNSAFE=	yes
 # installed port preference over it.
 ##
 
-OPTIONS_DEFINE=	SPF GEOIP CURL OPENLDAP P0F POSTFIX
+OPTIONS_DEFINE=		MANPAGES SPF GEOIP CURL LDAP P0F POSTFIX
 OPTIONS_DEFAULT=	MANPAGES
-MANPAGES_DESC=	Install manpages
-SPF_DESC=	Include SPF support
-GEOIP_DESC=	Include GeoIP support
-OPENLDAP_DESC=	Include OpenLDAP support
-P0F_DESC=	Include P0F support
-POSTFIX_DESC=	Use Postfix instead of Sendmail
+SPF_DESC=		SPF support
+CURL_DESC=		curl support
+P0F_DESC=		P0F support
+POSTFIX_DESC=		Use Postfix instead of Sendmail
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MMANPAGES}
 MAN5=		greylist.conf.5
@@ -54,13 +54,13 @@ CONFIGURE_ARGS+=	--with-libGeoIP=${LOCAL
 BUILD_DEPENDS+=	curl>=7.18:${PORTSDIR}/ftp/curl
 CONFIGURE_ARGS+=	--with-libcurl=${LOCALBASE}
 .endif
-.if ${PORT_OPTIONS:MOPENLDAP}
+.if ${PORT_OPTIONS:MLDAP}
 USE_OPENLDAP=yes
 CONFIGURE_ARGS+=	--with-openldap
 .endif
 .if ${PORT_OPTIONS:MP0F}
 RUN_DEPENDS+=	p0f:${PORTSDIR}/net-mgmt/p0f
-CONFIGURE_ARGS+=	--enable-p0f
+CONFIGURE_ARGS+=	--enable-p0f306
 .endif
 .if ${PORT_OPTIONS:MPOSTFIX}
 CONFIGURE_ARGS+=	--enable-postfix
@@ -86,7 +86,7 @@ USE_RC_SUBR=	milter-greylist
 
 do-install:
 	@${MKDIR} ${PREFIX}/etc/mail
-.if defined (WITH_MANPAGES)
+.if ${PORT_OPTIONS:MMANPAGES}
 	@${INSTALL_MAN} ${WRKSRC}/greylist.conf.5 ${PREFIX}/man/man5
 	@${INSTALL_MAN} ${WRKSRC}/milter-greylist.8 ${PREFIX}/man/man8
 .endif
@@ -97,11 +97,11 @@ do-install:
 post-install:
 	@${MKDIR} /var/milter-greylist
 	@${CHOWN} -R mailnull:mailnull /var/milter-greylist
-.if !${PORT_OPTIONS:MDOCS}
+.if ${PORT_OPTIONS:MDOCS}
 	@${MKDIR} ${DOCSDIR}
 	@${INSTALL_DATA} ${WRKSRC}/README ${DOCSDIR}
 .endif
-.if !defined (NOPORTEXAMPLES)
+.if ${PORT_OPTIONS:MEXAMPLES}
 	@${MKDIR} ${EXAMPLESDIR}
 	@${INSTALL_DATA} ${WRKSRC}/greylist.conf ${EXAMPLESDIR}
 .endif
@@ -123,4 +123,4 @@ post-install:
 
 .include "${PORTSDIR}/mail/sendmail/bsd.milter.mk"
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/mail/milter-greylist/distinfo
==============================================================================
--- head/mail/milter-greylist/distinfo	Wed Mar 20 16:09:29 2013	(r314742)
+++ head/mail/milter-greylist/distinfo	Wed Mar 20 16:12:04 2013	(r314743)
@@ -1,2 +1,2 @@
-SHA256 (milter-greylist-4.4.1.tgz) = 5400a71e0b01d3f6915638dcd96c57c6fa3bbbc2fb16fcc8eda715ae83a4ad8c
-SIZE (milter-greylist-4.4.1.tgz) = 229401
+SHA256 (milter-greylist-4.4.3.tgz) = fdf7e37c5dd370473ff2cdec7e4b6ca9e60fc2b5c716612d2d449de98d0054a9
+SIZE (milter-greylist-4.4.3.tgz) = 236277

Modified: head/mail/milter-greylist/files/patch-configure
==============================================================================
--- head/mail/milter-greylist/files/patch-configure	Wed Mar 20 16:09:29 2013	(r314742)
+++ head/mail/milter-greylist/files/patch-configure	Wed Mar 20 16:12:04 2013	(r314743)
@@ -1,9 +1,11 @@
---- configure.orig	2010-07-12 08:27:51.000000000 +0400
-+++ configure	2010-08-05 05:18:10.000000000 +0400
-@@ -4978,7 +4978,7 @@
+Index: configure
+diff -u configure.orig configure
+--- configure.orig	2013-03-07 22:26:11.000000000 +0900
++++ configure	2013-03-14 15:35:15.476674058 +0900
+@@ -5899,7 +5899,7 @@
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_pthread_pthread_create" >&5
  $as_echo "$ac_cv_lib_pthread_pthread_create" >&6; }
- if test "x$ac_cv_lib_pthread_pthread_create" = x""yes; then :
+ if test "x$ac_cv_lib_pthread_pthread_create" = xyes; then :
 -  LIBS="$LIBS -lpthread"
 +  true; #LIBS="$LIBS -lpthread"
  else

Added: head/mail/milter-greylist/files/patch-sync.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/mail/milter-greylist/files/patch-sync.c	Wed Mar 20 16:12:04 2013	(r314743)
@@ -0,0 +1,17 @@
+Index: sync.c
+diff -u -p sync.c.orig sync.c
+--- sync.c.orig	2010-04-17 12:19:02.000000000 +0900
++++ sync.c	2013-03-14 14:57:39.284674283 +0900
+@@ -478,7 +478,11 @@ peer_connect(peer)	/* peer list is read-
+ #ifdef AF_INET6
+ 		case AF_INET6:
+ 			SA6(res->ai_addr)->sin6_port = service;
+-			laddrstr = "::";
++			if (conf.c_syncsrcaddr != NULL) {
++				laddrstr = conf.c_syncsrcaddr;
++			} else {
++				laddrstr = "::";
++			}
+ 			break;
+ #endif
+ 		default:
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Hajimu UMEMOTO freebsd_committer 2013-03-20 16:17:03 UTC
State Changed
From-To: open->closed

Committed. 
I committed ports/177097 as well. 


Comment 8 Hajimu UMEMOTO freebsd_committer 2013-03-20 16:17:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ume

Committed. 
I committed ports/177097 as well.